Skip to main content
GET
List Sample Requests
Lists free sample requests that you fulfill yourself, newest first. These are requests from creators on campaigns whose store isn’t on Shopify. See Free samples for custom stores for the full flow. Requests on your child brands’ campaigns are included.

Query parameters

Request example

Response example

For creators who joined through the Growi marketplace, email, phone, last_name and shipping_address are null until the request is approved.

Error responses

401: missing or invalid API key
422: invalid filter

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string

Comma-separated statuses: pending, approved, shipped, delivered, rejected, cancelled

campaign_id
integer
updated_since
string<date-time>

ISO-8601 timestamp. Only requests updated at or after this time

page
integer
default:1
per_page
integer
default:25

1 to 100

Response

Sample requests listed

data
object[]
meta
object